---
title: ClipboardEvent()
slug: Web/API/ClipboardEvent/ClipboardEvent
tags:
  - API
  - Clipboard
  - Clipboard API
  - ClipboardEvent
  - Constructor
  - Cut
  - Experimental
  - Reference
  - copy
  - paste
---
<p>{{APIRef("Clipboard API")}}{{SeeCompatTable}}</p>

<p>The <code><strong>ClipboardEvent()</strong></code> constructor returns a newly created {{domxref("ClipboardEvent")}}, representing an event providing information related to modification of the clipboard, that is {{event("cut")}}, {{event("copy")}}, and {{event("paste")}} events.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">var <em>clipboardEvent</em> = new ClipboardEvent(type[<code>,</code><em><code> options]</code></em>);
</pre>

<h3 id="Parameters">Parameters</h3>

<p><em>The <code>ClipboardEvent()</code></em><em> constructor also inherits arguments from {{domxref("Event.Event", "Event()")}}.</em></p>

<dl>
 <dt><em>type</em></dt>
 <dd>Is a {{domxref("DOMString")}} representing the name of the type of the <code>ClipboardEvent</code>. It is case-sensitive and can be: <code>'copy'</code>, <code>'cut'</code>, or <code>'paste'</code>.</dd>
 <dt><em>options</em> {{optional_inline}}</dt>
 <dd>Options are as follows:
 <ul>
  <li><code>clipboardData</code>: A {{domxref("DataTransfer")}} containing the data concerned by the clipboard event.</li>
  <li><code>dataType</code>{{non-standard_inline}}: A {{domxref("DOMString")}} containing the MIME-type of the data contained in the <code>data</code> argument.</li>
  <li><code>data</code>{{non-standard_inline}}: A {{domxref("DOMString")}} containing the data concerned by the clipboard event.</li>
 </ul>
 </dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{ SpecName('Clipboard API', '#dom-clipboardevent-clipboardevent', 'ClipboardEvent()') }}</td>
   <td>{{ Spec2('Clipboard API') }}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.ClipboardEvent.ClipboardEvent")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>Copy-related events: {{event("copy")}}, {{event("cut")}}, {{event("paste")}}</li>
 <li>The {{domxref("ClipboardEvent")}} interface it belongs to.</li>
 <li><a href="/en-US/docs/Web/API/Clipboard_API">Clipboard API</a></li>
</ul>
